Bug#583512: vim-gnome: gvim always displays an error saying it can't load its configuration when run with sudo

Russell Stuart russell-debian at stuart.id.au
Thu May 27 22:48:11 UTC 2010

Package: vim-gnome
Version: 2:7.2.330-1
Severity: normal
Tags: squeeze

After running the command "sudo gvim" (or indeed "sudo gvim -u NONE -U NONE")
gvim displays this error dialog:

  Dialog title:	(as superuser)

  Dialog text:	An error occurred while loading or saving configuration
		for gvim.  Some of your configuration settings may not
		work properly.

The dialog also has a "Details" button.  When you click it this
additional information is also displayed:

  Failed to contact configuration server; some possible causes are that
  you need to enable TCP/IP networking for ORBit, or you have stale NFS
  locks due to a system crash. See http://projects.gnome.org/gconf/ for
  information. (Details -  1: Failed to get connection to session: Did
  not receive a reply. Possible causes include: the remote application
  did not send a reply, the message bus security policy blocked the
  reply, the reply timeout expired, or the network connection was

As far as I can tell all my configuration settings in .vimrc are read

It seems from my google'ing this isn't a gvim bug but rather gnome bug.
It does effect other gnome tools (eg gedit).  However I don't use them,
and I don't have a clue what gnome library I should report it against.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages vim-gnome depends on:
ii  libacl1                   2.2.49-2       Access control list shared library
ii  libbonoboui2-0            2.24.3-1       The Bonobo UI library
ii  libc6                     2.10.2-9       Embedded GNU C Library: Shared lib
ii  libglib2.0-0              2.24.1-1       The GLib library of C routines
ii  libgnome2-0               2.30.0-1       The GNOME library - runtime files
ii  libgnomeui-0              2.24.3-1       The GNOME libraries (User Interfac
ii  libgpm2                   1.20.4-3.3     General Purpose Mouse - shared lib
ii  libgtk2.0-0               2.20.1-1       The GTK+ graphical user interface 
ii  libice6                   2:1.0.6-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20100313-2 shared libraries for terminal hand
ii  libpango1.0-0             1.28.0-1       Layout and rendering of internatio
ii  libperl5.10               5.10.1-12      shared Perl library
ii  libruby1.8          Libraries necessary to run Ruby 1.
ii  libselinux1               2.0.94-1       SELinux runtime shared libraries
ii  libsm6                    2:1.1.1-1      X11 Session Management library
ii  libx11-6                  2:1.3.3-3      X11 client-side library
ii  libxt6                    1:1.0.7-1      X11 toolkit intrinsics library
ii  python2.5                 2.5.5-6        An interactive high-level object-o
ii  tcl8.4                    8.4.19-4       Tcl (the Tool Command Language) v8
ii  vim-common                2:7.2.330-1    Vi IMproved - Common files
ii  vim-gui-common            2:7.2.330-1    Vi IMproved - Common GUI files
ii  vim-runtime               2:7.2.330-1    Vi IMproved - Runtime files

vim-gnome recommends no packages.

Versions of packages vim-gnome suggests:
pn  cscope                       <none>      (no description available)
ii  gnome-icon-theme     GNOME Desktop icon theme
ii  ttf-dejavu                   2.30-2      Metapackage to pull in ttf-dejavu-
ii  vim-doc                      2:7.2.330-1 Vi IMproved - HTML documentation

-- no debconf information

More information about the pkg-vim-maintainers mailing list